Summary:  Universal Plug and Play (UPnP) SDK
Version:  1.14.18
Name:     libupnp
Release:  1%{?dist}
License:  BSD
URL:      https://github.com/pupnp/pupnp
Source:   https://github.com/pupnp/pupnp/archive/release-%{version}/libupnp-%{version}.tar.gz
BuildRequires: gcc, make, libtool



%description
The Universal Plug and Play (UPnP) SDK for Linux provides 
support for building UPnP-compliant control points, devices, 
and bridges on Linux.

%package devel
Summary: Include files needed for development with libupnp
Requires: libupnp = %{version}-%{release}

%description devel
The libupnp-devel package contains the files necessary for development with
the UPnP SDK libraries.



%prep
%autosetup -p1 -n pupnp-release-%{version}



%build
autoreconf -vif
%configure \
  --enable-static=no \
  --enable-ipv6

sed -i.rpath 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i.rpath 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build



%install
%make_install

%{__rm} %{buildroot}%{_libdir}/{libixml.la,libupnp.la}



%files
%license COPYING
%doc THANKS
%{_libdir}/libixml.so.11*
%{_libdir}/libupnp.so.17*

%files devel
%{_libdir}/libixml.so
%{_libdir}/libupnp.so
%{_libdir}/pkgconfig/libupnp.pc
%{_includedir}/upnp/



%changelog
* Wed Nov 22 2023 Zhao Zhen <jeremiazhao@tencent.com> - 1.14.18-1
- initial